Attendance Profile

The Attendance Profile service allows you to retrieve attendance information for a provided occurrence of an event.

Service Name

attendance_profile

Required Parameters

NameType
idinteger
occurrencedatetime

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=attendance_profile&id=756&occurrence=2014-01-27"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="attendance_profile" name="srv"/>
      <argument value="756" name="id"/>
      <argument value="2014-01-27" name="occurrence"/>
    </parameters>
  </request>
  <response>
    <events count="1">
      <event id="756">
        <name>Every. day. part 2</name>
        <occurrence>2014-01-27 00:00:00</occurrence>
        <did_not_meet>false</did_not_meet>
        <topic></topic>
        <notes></notes>
        <prayer_requests></prayer_requests>
        <info></info>
        <attendees>
          <attendee id="10">
            <first_name>Ben</first_name>
            <last_name>Bolton</last_name>
          </attendee>
          <attendee id="25">
            <first_name>Ben</first_name>
            <last_name>Boltontest</last_name>
          </attendee>
        </attendees>
        <head_count></head_count>
      </event>
    </events>
  </response>
</ccb_api>